import unittest, Tests


def SampleSuiteCreator():
	suite = Tests.TestSuite()
	suite.addTest (Tests.TestCase ('countTestCases'))
	return suite


# below is adapted from PyUnit - (C) Stephen Purcell
class ProlificTestCase(Tests.TestCase):
    """A simple and incomplete test case for python's built-in lists"""

    def _littletest(self):
	pass

    for i in range(100):
        exec("def test%i(self): pass" % i)
    del(i)

def HugeSuiteCreator():
    return Tests.makeSuite(ProlificTestCase)


# and now for a suite that fails halfway
class FailingTestCase(ProlificTestCase):
	def test75 (self):
		assert 0, 'Whee, I failed'

def FailingSuiteCreator():
    return Tests.makeSuite(FailingTestCase)


# now let's test the ZODB/OFS (first real test!!!)
class OFSTest (Tests.TestCase):
	def testAddFolder (self):
		self.ZopeContext.manage_addFolder ('Folder', 'I can add a Folder', 0, 0)

	def testAddFolderAndDocument (self):
		self.ZopeContext.manage_addFolder ('FolderWithDocument', 'I can add a Folder with index_html', 1, 0)

def OFSSuiteCreator():
	return Tests.makeSuite (OFSTest)
