__doc__ = 'ZUnit Product'
__version__ = '0.1.0'

from ImageFile import ImageFile

misc_ = {
	#'HiperDomTemplate.gif': ImageFile('img/HiperDomTemplate.gif', globals()),
	#'DataObject.gif': ImageFile('img/DataObject.gif', globals()),
	}

import TestRunner

def initialize(context):
	"Initialize the product."
	try:
		context.registerClass(
			TestRunner.TestRunner,
			constructors = (TestRunner.manage_addTestRunnerForm,
							TestRunner.manage_addTestRunner)
			)
		context.registerHelp()
	except:
		import sys, traceback, string
		type, val, tb = sys.exc_info ()
		sys.stderr.write (string.join (traceback.format_exception (type, val, tb), ''))
		del type, val, tb


# reexport the stuff from the Tests module
from Tests import *
